M1 with spitfire products.

So 6 months ago I got my first spitfire library, 2 days before the purchase my grandad gifted me a brand new M1 Macbook pro which was truly amazing, after getting the library I opened logic pro and got the famous error 1 message when opening my new library, the amazing team at spitfire helped me solve the problem (Sandy, a true legend ).

My question was when does @Spitfire Audio plan on updating their library's?, the specific library I'm talking about is Cinematic Soft Piano, I don't mean to rush or push anything I'm just wondering because I'm thinking about buying the intimate strings library but I would rather get it when the problem is fixed.

Comments

  • Hi @Rubenofficial

    M1 compatibility is something that we are hoping to achieve soon with all of our products. We appreciate that the wait has been long, but the reason for this is due to internal factors that have delayed the transition. One of these factors is a new system the team have developed to provide quicker build and updates to our dedicated plugin project. So whilst the wait has been long this year, all future updates from next year will be delivered at a much quicker pace.

    In the meantime, I have created a Zendesk ticket for you so that you can be alerted when Cinematic Soft Piano is fully compatible.

  • Rubenofficial
    edited September 28

    hi Angus thanks for this response, looking forward to the upcoming updates ✨👀